# Ogre::DDVideoMode Class Reference

Encapsulates a DirectDraw video mode. More...

`#include <OgreDDVideoMode.h>`

List of all members.

## Public Member Functions

String | Description (void)
| DDVideoMode ()
| DDVideoMode (const DDVideoMode &ob)
| DDVideoMode (LPDDSURFACEDESC2 lpDDSD2)
DDVideoMode | operator= (const DDVideoMode &orig)

## Public Attributes

int | mWidth
int | mHeight
int | mColourDepth

## Private Attributes

DDSURFACEDESC2 | mDDSurfaceDesc

## Detailed Description

Encapsulates a DirectDraw video mode.

Utility class for D3DRenderSystem.

Definition at line 37 of file OgreDDVideoMode.h.

## Constructor & Destructor Documentation

Ogre::DDVideoMode::DDVideoMode | ( |  | ) |

Ogre::DDVideoMode::DDVideoMode | ( | const DDVideoMode & | ob | ) |

Ogre::DDVideoMode::DDVideoMode | ( | LPDDSURFACEDESC2 | lpDDSD2 | ) |

## Member Function Documentation

String Ogre::DDVideoMode::Description | ( | void |  | ) |

DDVideoMode Ogre::DDVideoMode::operator= | ( | const DDVideoMode & | orig | ) |

## Member Data Documentation

int Ogre::DDVideoMode::mColourDepth

| Definition at line 46 of file OgreDDVideoMode.h.

DDSURFACEDESC2 Ogre::DDVideoMode::mDDSurfaceDesc `[private]`

| Definition at line 41 of file OgreDDVideoMode.h.

int Ogre::DDVideoMode::mHeight

| Definition at line 45 of file OgreDDVideoMode.h.

int Ogre::DDVideoMode::mWidth

| Definition at line 44 of file OgreDDVideoMode.h.

The documentation for this class was generated from the following file:

- OgreDDVideoMode.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:44:49 2005